Bug 36868 - new port: net/py-spreadmodule
Summary: new port: net/py-spreadmodule
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-08 07:20 UTC by Joshua Goodall
Modified: 2002-05-24 14:51 UTC (History)
0 users

See Also:


Attachments
file.shar (2.29 KB, text/plain)
2002-04-08 07:20 UTC, Joshua Goodall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Goodall 2002-04-08 07:20:01 UTC
This is a Python extension module for Spread (net/spread), the group
communications package. It has been interoperability tested with
the existing Perl, C and Java bindings.

Joshua
Comment 1 Joshua Goodall 2002-05-24 14:14:21 UTC
This port has undergone an upstream revision whilst sitting in
the new ports list.  It also now has the opportunity to use
USE_PYDISTUTILS.  Sharball attached.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	py-spreadmodule
#	py-spreadmodule/pkg-plist
#	py-spreadmodule/pkg-descr
#	py-spreadmodule/pkg-comment
#	py-spreadmodule/distinfo
#	py-spreadmodule/Makefile
#
echo c - py-spreadmodule
mkdir -p py-spreadmodule > /dev/null 2>&1
echo x - py-spreadmodule/pkg-plist
sed 's/^X//' >py-spreadmodule/pkg-plist << 'END-of-py-spreadmodule/pkg-plist'
Xlib/%%PYTHON_VERSION%%/site-packages/spread.so
END-of-py-spreadmodule/pkg-plist
echo x - py-spreadmodule/pkg-descr
sed 's/^X//' >py-spreadmodule/pkg-descr << 'END-of-py-spreadmodule/pkg-descr'
XThis is a Python extension module for Spread, an open source group
Xcommunications package.
X
XWWW: http://www.python.org/other/spread/
X
X- Joshua Goodall <joshua@roughtrade.net>
END-of-py-spreadmodule/pkg-descr
echo x - py-spreadmodule/pkg-comment
sed 's/^X//' >py-spreadmodule/pkg-comment << 'END-of-py-spreadmodule/pkg-comment'
XA python extension module for the Spread group communcations package
END-of-py-spreadmodule/pkg-comment
echo x - py-spreadmodule/distinfo
sed 's/^X//' >py-spreadmodule/distinfo << 'END-of-py-spreadmodule/distinfo'
XMD5 (SpreadModule-1.2.tgz) = dec9b45f8e3891f9afc5939932be59ac
END-of-py-spreadmodule/distinfo
echo x - py-spreadmodule/Makefile
sed 's/^X//' >py-spreadmodule/Makefile << 'END-of-py-spreadmodule/Makefile'
X# New ports collection makefile for:	py-spreadmodule
X# Date created:		24 May 2002
X# Whom:			Joshua Goodall <joshua@roughtrade.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	spreadmodule
XPORTVERSION=	1.2
XCATEGORIES=	net python
XMASTER_SITES=	http://www.python.org/other/spread/
XPKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
XDISTNAME=	SpreadModule-${PORTVERSION}
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	joshua@roughtrade.net
X
XBUILD_DEPENDS=	${LOCALBASE}/lib/libsp.a:${PORTSDIR}/net/spread
X
XUSE_PYTHON=	yes
XUSE_PYDISTUTILS=yes
X
Xpost-patch:
X	@${PERL} -pi -e 's,/usr/local,${PREFIX},g' ${WRKSRC}/setup.py
X
X.include <bsd.port.mk>
END-of-py-spreadmodule/Makefile
exit
Comment 2 Ying-Chieh Liao freebsd_committer 2002-05-24 14:50:58 UTC
State Changed
From-To: open->closed

committed, thanks